安装支持skynet的protobuf

一.下载和安装

参考

http://blog.csdn.net/linshuhe1/article/details/70186603

https://www.owent.net/2017/1470.html

  1. 使用云风自己写的c版本pbc

https://github.com/cloudwu/pbc.git

但是不支持protbuf3.0以上版本

  1. 使用楼上pbc改版

https://github.com/owent-contrib/pbc.git

  1. 安装
cd pbc
sudo make
cd binding/lua53
make

安装前须安装 lua5.3并且修改

LUADIR = /usr/local/src/lua-5.3.4/src
$(CC) $(CFLAGS) -shared -o $@ -I../.. -I$(LUADIR) -L../../build -L$(LUADIR) $^ -lpbc -llua

4. 安装lua5.3

下载lua5.3.4并且解压到/usr/local/src/lua-5.3.4/src

sudo make macosx

  1. 复制
 cp protobuf.so  skynet/luaclib
 cp protobuf.lua  skynet/lualib

二. 以上编译出来后在skynet中调用有问题,

提示multiple Lua VMs detected.

只好把所有pbc的文件包括binding/lua53下的c文件复制到skyne下

然后修改skynet的Makefile文件来编译

三. 解决二的问题

不要使用官方的lua5.3, 把库路径直接指定到skynet下的lua源文件目录即可

发布了60 篇原创文章 · 获赞 6 · 访问量 5万+
展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 大白 设计师: CSDN官方博客

分享到微信朋友圈

×

扫一扫,手机浏览